> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catalog.igvf.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Genes Coding Variants All Scores

> Retrieve a list of all numeric scores of associated coding variants for a gene and a dataset.

Example: gene_id = ENSG00000165841,

dataset = VAMP-seq



## OpenAPI

````yaml /openapi/catalog-dev.openapi.json get /genes/coding-variants/all-scores
openapi: 3.0.3
info:
  title: IGVF Catalog - Development
  description: >-
    Development IGVF Catalog OpenAPI compliant REST API built using tRPC with
    Express.


    Our database uses 0-based, half-open coordinates for genomic coordinates in
    the GRCh38 (human) and GRCm39 (mouse) reference genomes.


    Data is licensed under the Creative Commons license and the software is
    licensed under the MIT license.
  version: 1.2.0 - DEV
servers:
  - url: https://catalog-api-dev.demo.igvf.org/api
security: []
externalDocs:
  url: https://api-dev.catalog.igvf.org/openapi
paths:
  /genes/coding-variants/all-scores:
    get:
      summary: Genes Coding Variants All Scores
      description: >-
        Retrieve a list of all numeric scores of associated coding variants for
        a gene and a dataset.


        Example: gene_id = ENSG00000165841,


        dataset = VAMP-seq
      operationId: allCodingVariantsFromGenes
      parameters:
        - name: gene_id
          in: query
          required: true
          schema:
            type: string
        - name: dataset
          in: query
          required: true
          schema:
            type: string
            enum:
              - DUAL-IPA
              - ESM-1v
              - MutPred2
              - SGE
              - VAMP-seq
        - name: page
          in: query
          required: false
          schema:
            type: number
            default: 0
        - name: limit
          in: query
          required: false
          schema:
            type: number
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  anyOf:
                    - not: {}
                    - type: number
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````